DH_MODALIASES(1)

NAME
dh_modaliases - scan kmod modaliases and provide a substvar for them

SYNOPSIS
dh_modaliases [debhelper options]

DESCRIPTION
dh_modaliases is useful for packages that ship third-party kernel modules, either in binary form, or as sources (with e. g. DKMS). It extracts the modules' modaliases from either the compile .ko files themselves (for packages which ship them in compiled form, using modinfo), or from a package file debian/package.modaliases (see below).

I creates a package substitution variable "${modaliases}" which you should add to "debian/control" as

    XB-Modaliases: ${modaliases}

This enables software which is looking for missing driver packages (such as Jockey or the operating system installer) to identify which package(s) will provide a driver for a piece of hardware, identified by its modalias.

PACKAGE MODALIAS FILES
If a package ships source code (using DKMS, module-assistant, etc.) instead of compiled binary kernel modules, then dh_modaliases can't figure out the modaliases by scanning the *.ko files, and you have to provide the modalias list manually as a package file debian/package.modaliases.

The format matches the /lib/modules/`uname -r`/modules.alias file from the Linux kernel. Examples:

    alias ssb:v1234id5678 snd_super_booster alias pci:v000010DEd0000004Esv*sd*bc03sc*i* nvidia_current

You can generate such a list if you locally build and install this module, and then run

    modinfo mymodname | perl -nae 'print "alias $1 mymodname\n" if /^alias:\s+(.*)$/'

(replacing "mymodname" with the actual module name).

OPTIONS
The standard debhelper options are supported.

SEE ALSO
debhelper(1), dkms(8)

This program is an extension to debhelper.

AUTHOR
Martin Pitt <martin.pitt@ubuntu.com>